## intel-mkl 2018.3.222

=== debian/changelog ===
intel-mkl (2018.3.222-3) unstable; urgency=medium

  * Update Depends, Recommends and Suggests fields, and strip unnecessary
    explicit architecture specifications (:amd64, :i386) from these fields.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 07 Aug 2018 07:06:58 +0000

intel-mkl (2018.3.222-2) unstable; urgency=medium

  * Fix FTBFS (UnicodeDecodeError) in C locale. (Closes: #904434)
  * Explicitly explain why this package is non-free.
  * Mark the source package as XS-Autobuild: yes.
  * Move the cross-arch (i386) dependencies from Depends to Suggests in
    order to unblock migration to testing.
  * Provide patch debian/bpo.patch to support Python3.5, for backporters.
    This patch is not enabled by default. (Closes: #904320)
  * Make the checksum target non-mandatory during build. (Closes: #904319)
  * Change libmkl-locale's Architecture to (amd64, i386) to prevent
    build on any other non-x86 architectures.
  * Make the traversal order over *.rpm packages during extraction fixed.
  * Bump Standards-Version to 4.2.0 (no changes).

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 03 Aug 2018 15:11:56 +0000

intel-mkl (2018.3.222-1) unstable; urgency=low

  * Initial release. (Closes: #895881)
  * Many thanks to Sébastien Villemot's for helpful advices.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 18 Jun 2018 11:57:36 +0000
