=== debian/control ===
Source: intel-mkl
Section: non-free/science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>,
Build-Depends: debhelper (>=11~),
               dh-exec,
# The script control.py requires python3 >= 3.6 .
# but you can patch it with debian/bpo.patch to support python3 >= 3.5 .
               python3 (>= 3.6),
               rpm,
               cpio,
               rpm2cpio,
               debconf,
               po-debconf,
Standards-Version: 4.2.0
Homepage: https://software.intel.com/en-us/mkl
Vcs-Browser: https://salsa.debian.org/science-team/intel-mkl
Vcs-Git: https://salsa.debian.org/science-team/intel-mkl.git
XS-Autobuild: yes

# [ References ]
# 1. https://github.com/intel/mkl-dnn/issues/206
# 2. https://software.intel.com/en-us/mkl-linux-developer-guide-dynamic-libraries-in-the-lib-intel64-lin-directory
# 3. https://software.intel.com/en-us/articles/intel-mkl-link-line-advisor

# [ Binary Package Index ]
#   * Root Meta Packages
#     + intel-mkl
#       - basic set of MKL dev files and libraries
#       - top-level meta package for i386 architecture
#     + intel-mkl-cluster [amd64]
#       - = basic set + cluster support
#     + intel-mkl-full [amd64]
#       - = basic set + cluster support + i386 libs (multiarch)
#       - should pull all files provided by MKL except for the filtered ones.
#   * Tool Packages
#     + MKL Link Tool
#   * Development Packages
#     + Common Development Files (C/Fortran)
#       - libmkl-dev
#     + Static Libs
#       - divided by layer
#     + Cluster Libraries
#       - libmkl_{scalapack*,cdft,blacs*}.a
#     + Benchmark Files
#       - ignored. Too problematic as reported by lintian.
#   * Shared Object Packages
#     + SDL (IMPORTANT!)
#       - libmkl_rt
#     + Interface Layer
#       - libmkl_{intel*,gf*}
#     + Threading Layer
#       - libmkl_{intel,tbb,gnu,pgi}_thread
#     + Computational Layer
#       - libmkl_{core,def,mc*,avx*,vml*}
#     + Cluster Libraries
#       - libmkl_{scalapack*,cdft*,blacs*}.so

# [ Meta Packages ] ###########################################################

Package: intel-mkl
Section: non-free/metapackages
Architecture: amd64 i386
Multi-Arch: same
Depends: ${misc:Depends},
         libmkl-dev (= ${binary:Version}),
Description: Intel® Math Kernel Library (Intel® MKL)
 Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
 optimized, extensively threaded routines for applications that require
 maximum performance. The library provides Fortran and C programming language
 interfaces. Intel MKL C language interfaces can be called from applications
 written in either C or C++, as well as in any other language that can
 reference a C interface.
 .
 This package pulls the basic set of development files and libraries of MKL
 in the present architecture. Cluster support is not included.
 .
 Note that MKL's performance on AMD CPUs is not guaranteed.

Package: intel-mkl-cluster
Section: non-free/metapackages
# There is no cluster support for i386
Architecture: amd64
Multi-Arch: same
Depends: ${misc:Depends},
         intel-mkl (= ${binary:Version}),
         libmkl-meta-cluster (= ${binary:Version}),
Recommends: mpich,
            libopenmpi-dev,
Description: Intel® Math Kernel Library (Intel® MKL) (Cluster)
 Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
 optimized, extensively threaded routines for applications that require
 maximum performance. The library provides Fortran and C programming language
 interfaces. Intel MKL C language interfaces can be called from applications
 written in either C or C++, as well as in any other language that can
 reference a C interface.
 .
 This package pulls the development files and libraries of MKL in the present
 architecture, including Cluster support.

Package: intel-mkl-doc
Section: non-free/doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         libjs-jquery,
Description: Intel® Math Kernel Library (Intel® MKL) (Doc)
 Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
 optimized, extensively threaded routines for applications that require
 maximum performance. The library provides Fortran and C programming language
 interfaces. Intel MKL C language interfaces can be called from applications
 written in either C or C++, as well as in any other language that can
 reference a C interface.
 .
 This package ships several document files, but not a complete copy of MKL doc.
 Please go to the homepage for the full documentation.
 https://software.intel.com/en-us/mkl

Package: intel-mkl-full
Section: non-free/metapackages
Architecture: amd64
Multi-Arch: same
Depends: ${misc:Depends},
         intel-mkl               (= ${binary:Version}),
         intel-mkl-cluster       (= ${binary:Version}),
         libmkl-full-dev         (= ${binary:Version}),
         intel-mkl-doc           (= ${source:Version}),
Recommends: intel-mkl-linktool (= ${binary:Version}),
Suggests: hpcc,
Description: Intel® Math Kernel Library (Intel® MKL) (Full)
 Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
 optimized, extensively threaded routines for applications that require
 maximum performance. The library provides Fortran and C programming language
 interfaces. Intel MKL C language interfaces can be called from applications
 written in either C or C++, as well as in any other language that can
 reference a C interface.
 .
 This package pulls the full version of MKL, including several i386 packages.

# [ Tool Packages ] ###########################################################

Package: intel-mkl-linktool
Section: non-free/utils
Architecture: i386
# Multi-Arch: This tool (pre-built binary) can be used on amd64 too.
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Intel(R) Math Kernel Library (Intel(R) MKL) Link Tool v4.7
 Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
 optimized, extensively threaded routines for applications that require
 maximum performance.
 .
 This package provides a command line tool which suggests compiler argument
 for linking against MKL.

# [ Development Packages ] ####################################################

Package: libmkl-full-dev
Section: non-free/libdevel
Architecture: amd64
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libmkl-dev                      (= ${binary:Version}),
         libmkl-rt                       (= ${binary:Version}),
         libmkl-interface-dev            (= ${binary:Version}),
         libmkl-threading-dev            (= ${binary:Version}),
         libmkl-computational-dev        (= ${binary:Version}),
Recommends: intel-mkl-doc                  (= ${source:Version}),
            libmkl-rt:i386                  (= ${binary:Version}),
            libmkl-interface-dev:i386       (= ${binary:Version}),
            libmkl-threading-dev:i386       (= ${binary:Version}),
            libmkl-computational-dev:i386   (= ${binary:Version}),
# Copied from here: https://software.intel.com/en-us/mkl-linux-developer-guide-2019-beta
# Upstream revision: 062
Description: Intel® Math Kernel Library (Intel® MKL) (Full Version Dev)
 Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
 optimized, extensively threaded routines for applications that require
 maximum performance. The library provides Fortran and C programming language
 interfaces. Intel MKL C language interfaces can be called from applications
 written in either C or C++, as well as in any other language that can
 reference a C interface.
 .
 Intel MKL provides comprehensive functionality support in these major areas
 of computation:
 .
  * BLAS (level 1, 2, and 3) and LAPACK linear algebra routines, offering
    vector, vector-matrix, and matrix-matrix operations.
  * ScaLAPACK distributed processing linear algebra routines, as well as the
    Basic Linear Algebra Communications Subprograms (BLACS) and the Parallel
    Basic Linear Algebra Subprograms (PBLAS).
  * Intel MKL PARDISO (a direct sparse solver based on Parallel Direct Sparse
    Solver PARDISO*), an iterative sparse solver, and supporting sparse BLAS
    (level 1, 2, and 3) routines for solving sparse systems of equations, as
    well as a distributed version of Intel MKL PARDISO solver provided for
    use on clusters.
  * Fast Fourier transform (FFT) functions in one, two, or three dimensions
    with support for mixed radices (not limited to sizes that are powers of 2),
    as well as distributed versions of these functions provided for use on
    clusters.
  * Vector Mathematics (VM) routines for optimized mathematical operations
    on vectors.
  * Vector Statistics (VS) routines, which offer high-performance vectorized
    random number generators (RNG) for several probability distributions,
    convolution and correlation routines, and summary statistics functions.
  * Data Fitting Library, which provides capabilities for spline-based
    approximation of functions, derivatives and integrals of functions, and
    search.
  * Extended Eigensolver, a shared memory programming (SMP) version of an
    eigensolver based on the Feast Eigenvalue Solver.
  * Deep Neural Network (DNN) primitive functions with C language interface.
 .
 This package pulls all the header files, static and shared objects of MKL.

Package: libmkl-dev
Section: non-free/libdevel
Architecture: amd64 i386
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libmkl-rt                (= ${binary:Version}),
         libmkl-interface-dev     (= ${binary:Version}),
         libmkl-threading-dev     (= ${binary:Version}),
         libmkl-computational-dev (= ${binary:Version}),
         pkg-config,
         libblas-dev | libblas.so,
         liblapack-dev | liblapack.so,
Recommends: libomp-dev,
Enhances: libblas.so,
          liblapack.so,
Suggests: intel-mkl-doc         (= ${source:Version}),
Description: Intel® Math Kernel Library (Intel® MKL) (Dev)
 Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
 optimized, extensively threaded routines for applications that require
 maximum performance. The library provides Fortran and C programming language
 interfaces. Intel MKL C language interfaces can be called from applications
 written in either C or C++, as well as in any other language that can
 reference a C interface.
 .
 This package pulls the headers of MKL.

Package: libmkl-interface-dev
Section: non-free/libdevel
Architecture: amd64 i386
Multi-Arch: same
Depends: ${misc:Depends},
         libmkl-meta-interface (= ${binary:Version}),
Description: Static libs of intel-MKL: Interface Layer
 Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
 optimized, extensively threaded routines for applications that require
 maximum performance.
 .
 This package ships the static libraries of Interface Layer.

Package: libmkl-threading-dev
Section: non-free/libdevel
Architecture: amd64 i386
Multi-Arch: same
Depends: ${misc:Depends},
         libmkl-meta-threading (= ${binary:Version}),
Recommends: libtbb-dev,
Description: Static libs of intel-MKL: Threading Layer
 Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
 optimized, extensively threaded routines for applications that require
 maximum performance.
 .
 This package ships the static libraries of Threading Layer.

Package: libmkl-computational-dev
Section: non-free/libdevel
Architecture: amd64 i386
Multi-Arch: same
Depends: ${misc:Depends},
         libmkl-meta-computational (= ${binary:Version}),
Description: Static libs of intel-MKL: Computational Layer
 Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
 optimized, extensively threaded routines for applications that require
 maximum performance.
 .
