=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# [ Maintainer Notes ]
#
# Unlike the nvidia-cuda-toolkit packaging, I wouldn't like to maintain a
# pile of *.install files. Here all the *.install files are auto-generated
# from python script debian/control.py .

MKL_ORIG_TARBALL = l_mkl_2018.3.222.tgz

# debugging i386 builds on amd64. [not formal cross build but dirty hack]
#export DEB_HOST_ARCH = i386
#export DEB_HOST_MULTIARCH = i386-linux-gnu

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
AUTOGEN_FILES       = $(patsubst %.in, %, $(wildcard debian/*.in debian/pkgconfig/*.in))

%:: %.in debian/rules
	sed -e "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" < $@.in > $@

%:
	dh $@

.PHONY: checksum extract-rpms autogen
checksum:
	@-md5sum -c debian/intel-mkl.md5 || \
		echo "[1;31mERROR, md5sum check failed for some reason.[;m"

extract-rpms: checksum
	#https://www.centos.org/docs/5/html/Deployment_Guide-en-US/s1-check-rpm-sig.html
	# FIXME: how to verify rpm's signature with upstream public key?
	set -e; for rpmfile in $$(find rpm -type f -name '*.rpm' | sort); do \
		rpm -K --nosignature $$rpmfile; \
		rpm2cpio $$rpmfile | cpio -idmv; \
		done

autogen: extract-rpms $(AUTOGEN_FILES)
	chmod +x debian/libmkl-rt.postinst  debian/libmkl-rt.prerm   debian/libmkl-rt.config
	chmod +x debian/libmkl-dev.postinst debian/libmkl-dev.prerm  debian/libmkl-dev.config

override_dh_auto_configure: autogen
	LC_ALL=C.UTF-8 python3 debian/control.py  # Generate install files and lintian overrides

	# deal with embedded libjs-jquery
	$(RM) opt/intel/documentation_2018/ja/mkl/ps2018/resources/jquery-1.11.1.min.js
	$(RM) opt/intel/documentation_2018/en/mkl/ps2018/resources/jquery-1.11.1.min.js
	ln -s /usr/share/javascript/jquery/jquery.min.js \
		opt/intel/documentation_2018/ja/mkl/ps2018/resources/jquery-1.11.1.min.js
	ln -s /usr/share/javascript/jquery/jquery.min.js \
		opt/intel/documentation_2018/en/mkl/ps2018/resources/jquery-1.11.1.min.js

override_dh_auto_clean:
	debconf-updatepo
	-$(RM) debian/*.install  # auto-generated install files
	-$(RM) debian/*.lintian-overrides  # auto-generated lintian files
	-$(RM) debian/*.postinst debian/*.prerm debian/*.config  # auto-gen maintainer scripts
	-$(RM) debian/pkgconfig/mkl-static*.pc  # auto-gen
	-$(RM) -rf debian/__pycache__
	-$(RM) -rf opt  # extracted from upstream rpm packages

# don't strip any of these binary blobs per intel's ISSL license.
override_dh_strip:
override_dh_strip_nondeterminism:
	true
