## intel-mkl 2019.1.144

=== debian/changelog ===
intel-mkl (2019.1.144-3~bpo9+1) stretch-backports; urgency=medium

  * Downgrade python3 requirement to (>= 3.5)
  * Downgrade debhelper compat level to 10.
  * Enable control.bpo.py script in rules.
  * Backport to stretch.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 08 Jan 2019 05:27:43 +0000

intel-mkl (2019.1.144-3) unstable; urgency=medium

  * Overhaul README.Debian and make it concise.
  * Rename mkl-rt*.pc to mkl-sdl*.pc, and remove -liomp5 from libs.
  * Noop amd64-specific autopkgtest commands on i386.
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 06 Jan 2019 07:31:09 +0000

intel-mkl (2019.1.144-2) unstable; urgency=medium

  * Amend autopkgtest script:
    (1) Link test program against gomp with -fopenmp
    (2) Make ILP64 tests specific for amd64 architecture.
    (3) Remove g++ argument "-m64" to fix failure on i386.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 05 Jan 2019 08:38:03 +0000

intel-mkl (2019.1.144-1) unstable; urgency=medium

  * New upstream release 2019.1.144
  * Uscan: Monitor Tsinghua University's Anaconda mirror for MKL updates.
    It looks like Intel has dropped the Pypi channel.
  * Update checksum for intel-mkl.md5 and comments in rules.
  * Autopkgtest: More test cases using abi-blas.c.
  * Switch Depends on libiomp5.so (intel) as default threading library.
  * Extend autopkgtest to 18 test cases.
  * Help MKL find libgomp.so during autopkgtest.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 04 Jan 2019 07:51:50 +0000

intel-mkl (2019.0.117-4) unstable; urgency=medium

  * Revert the removal of slave link for cblas.h.
  * Add slave link for cblas64.h for BLAS64.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 28 Dec 2018 03:07:57 +0000

intel-mkl (2019.0.117-3) unstable; urgency=medium

  * Misc update for README.Debian.
  * Ease threading library dependency forlibmkl-rt and libmkl-dev.
    Anyone of tbb, iomp and gomp would satisfy the dependency.
    - Remove libomp-dev from autopkgtest depends.
  * Update simple test programs.
  * Provide libblas64 and liblapack64 alternatives.
    + libmkl-rt  Enhances libblas64.so.3, liblapack64.so.3
    + libmkl-dev Enhances libblas64.so,   liblapack64.so
    + libmkl-rt  provides libblas64.so.3, liblapack64.so.3 via alternatives.
    + libmkl-dev provides libblas64.so,   liblapack64.so   via alternatives.
    * Only manipulate blas64/lapack64 alternatives on amd64.
  * No longer provide slave links for cblas.h .

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 12 Dec 2018 15:06:52 +0000

intel-mkl (2019.0.117-2) unstable; urgency=medium

  * Export HOME=/tmp/ to fix FTBFS due to the failure that rpm would
    attempt to store GPG key used for verifying rpm packages under
    /sbuild-nonexistent/.rpmdb directory without a proper HOME.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 26 Sep 2018 02:46:51 +0000

intel-mkl (2019.0.117-1) unstable; urgency=medium

  * New upstream release 2019.0.117 (Sept 2018). (Closes: #909507)
  * Update control.py for the 2019.0.117 release.
  * Verify RPM signature with the given public key before extraction.
  * Fix wrong shell redirection in libmkl-rt's postinst. (Closes: #908240)
  * Fix wrong shell redirection in libmkl-dev's postinst. (Closes: #908244)
  * Update README.Debian, and merge TODO into it.
  * Monitoring https://pypi.org/project/mkl/ for updates via watch.
    Note that pypi is not where the real source package comes from.
  * Remove bpo.patch and provide control.bpo.py which automatically
    converts control.py to support python3.5 (for stretch-backports).
  * Copyright update: ISSL updated to April 2018 Version.
  * Autopkgtest: Add a simple level3 blas (dgemm) sanity test.
  * Bump Standards-Version to 4.2.1 (no change).

  [ Localization Updates ]
  * Update Simplified Chinese translation.
  * Add French translation for debconf messages. (Closes: #906732)
    Thanks to jean-pierre giraud <jean-pierregiraud@neuf.fr>
  * Add Dutch translation for debconf messages. (Closes: #906947)
    Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
  * Add German translation for debconf messages. (Closes: #908926)
    Thanks to Helge Kreutzmann <debian@helgefjell.de>
  * Add Portuguese translation for debconf messages. (Closes:#909528)
    Thanks to Traduz PT <traduz@debianpt.org>

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 25 Sep 2018 06:11:34 +0000
