=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: intel-mkl
 Section: non-free/science
+Homepage: https://software.intel.com/en-us/mkl
 Priority: optional
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/intel-mkl
+Vcs-Git: https://salsa.debian.org/science-team/intel-mkl.git
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <cdluminate@gmail.com>,
-Build-Depends: debhelper (>=11~),
+Build-Depends: debhelper (>=10~),
                dh-exec,
 # The script control.py requires python3 >= 3.6 .
 # but you can patch it with debian/bpo.patch to support python3 >= 3.5 .
-               python3 (>= 3.6),
+               python3 (>= 3.5),
                rpm,
                cpio,
                rpm2cpio,
                debconf,
                po-debconf,
-Standards-Version: 4.2.0
-Homepage: https://software.intel.com/en-us/mkl
-Vcs-Browser: https://salsa.debian.org/science-team/intel-mkl
-Vcs-Git: https://salsa.debian.org/science-team/intel-mkl.git
 XS-Autobuild: yes
 
 # [ References ]
@@ -227,9 +227,11 @@
          pkg-config,
          libblas-dev | libblas.so,
          liblapack-dev | liblapack.so,
-Recommends: libomp-dev,
-Enhances: libblas.so,
-          liblapack.so,
+         libomp-dev | libomp-7-dev | libomp-8-dev
+         | libgcc-5-dev | libgcc-6-dev | libgcc-7-dev | libgcc-8-dev
+         | libtbb-dev,
+Enhances: libblas.so, libblas64.so,
+          liblapack.so, liblapack64.so,
 Suggests: intel-mkl-doc         (= ${source:Version}),
 Description: Intel® Math Kernel Library (Intel® MKL) (Dev)
  Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
@@ -260,7 +262,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libmkl-meta-threading (= ${binary:Version}),
-Recommends: libtbb-dev,
+Recommends: libtbb-dev, libomp-dev,
 Description: Static libs of intel-MKL: Threading Layer
  Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
  optimized, extensively threaded routines for applications that require
@@ -275,7 +277,3 @@
 Depends: ${misc:Depends},
          libmkl-meta-computational (= ${binary:Version}),
 Description: Static libs of intel-MKL: Computational Layer
- Intel® Math Kernel Library (Intel® MKL) is a computing math library of highly
- optimized, extensively threaded routines for applications that require
- maximum performance.
- .
