## intel-mkl 2019.2.187

=== debian/changelog ===
intel-mkl (2019.2.187-1) unstable; urgency=medium

  * New upstream release 2019.2.187
  * Update md5 checksum for 2019.2.187 orig tarball.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 17 Feb 2019 07:51:05 +0000

intel-mkl (2019.1.144-4) unstable; urgency=medium

  * Make dependency on libomp-dev mandatory since iomp5 is the default
    threading model used by libmkl-rt. Also make libmkl-rt depend on
    devel packages instead of lib packages because libmkl-rt is calling
    these libraries through libdl. (Closes: #920730)
  * Update test scripts and Makefile in debian/tests.
  * Replace embedded jquery in documentation/ja with symlink to libjs-jquery.
  * Fix a spelling error in README.Debian.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 29 Jan 2019 08:51:40 +0000
