=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Vcs-Git: https://salsa.debian.org/science-team/intel-mkl.git
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <cdluminate@gmail.com>,
-Build-Depends: debhelper (>=10~),
+Build-Depends: debhelper (>=11~),
                dh-exec,
 # The script control.py requires python3 >= 3.6 .
 # but you can patch it with debian/bpo.patch to support python3 >= 3.5 .
-               python3 (>= 3.5),
+               python3 (>= 3.6),
                rpm,
                cpio,
                rpm2cpio,
@@ -227,9 +227,8 @@
          pkg-config,
          libblas-dev | libblas.so,
          liblapack-dev | liblapack.so,
-         libomp-dev | libomp-7-dev | libomp-8-dev
-         | libgcc-5-dev | libgcc-6-dev | libgcc-7-dev | libgcc-8-dev
-         | libtbb-dev,
+         libomp-dev | libomp-7-dev | libomp-8-dev,
+         libgcc-5-dev | libgcc-6-dev | libgcc-7-dev | libgcc-8-dev | libtbb-dev,
 Enhances: libblas.so, libblas64.so,
           liblapack.so, liblapack64.so,
 Suggests: intel-mkl-doc         (= ${source:Version}),
