=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # pile of *.install files. Here all the *.install files are auto-generated
 # from python script debian/control.py .
 
-MKL_ORIG_TARBALL = l_mkl_2019.1.144.tgz
+MKL_ORIG_TARBALL = intel-mkl_2019.2.187.orig.tar.gz
 
 # debugging i386 builds on amd64. [not formal cross build but dirty hack]
 #export DEB_HOST_ARCH = i386
@@ -46,13 +46,16 @@
 	chmod +x debian/libmkl-dev.postinst debian/libmkl-dev.prerm  debian/libmkl-dev.config
 
 override_dh_auto_configure: autogen
-	python3 debian/control.bpo.py  # Patch control.py to support python3.5
+	#python3 debian/control.bpo.py  # Patch control.py to support python3.5
 	python3 debian/control.py  # Generate install files and lintian overrides
 
 	# deal with embedded libjs-jquery
 	$(RM) opt/intel/documentation_2019/en/mkl/ps2019/resources/jquery-1.11.1.min.js
 	ln -s /usr/share/javascript/jquery/jquery.min.js \
 		opt/intel/documentation_2019/en/mkl/ps2019/resources/jquery-1.11.1.min.js
+	$(RM) opt/intel/documentation_2019/ja/mkl/ps2019/resources/jquery-1.11.1.min.js
+	ln -s /usr/share/javascript/jquery/jquery.min.js \
+		opt/intel/documentation_2019/ja/mkl/ps2019/resources/jquery-1.11.1.min.js
 
 override_dh_auto_clean:
 	debconf-updatepo
