## intel-mkl 2019.3.199

=== debian/changelog ===
intel-mkl (2019.3.199-1) experimental; urgency=medium

  * New upstream release 2019.3.199 (March 2019)
  * Update md5 checksum for 2019.3.119 orig tarball.
  * Upload to experimental.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 21 Mar 2019 04:27:09 +0000
