## intel-mkl 2019.4.243

=== debian/changelog ===
intel-mkl (2019.4.243-1) unstable; urgency=medium

  * New upstream release 2019.4.243

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 24 Jul 2019 03:19:15 +0000

intel-mkl (2019.3.199-2) unstable; urgency=medium

  * Update testing code.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 24 Jul 2019 03:04:58 +0000
