## intel-mkl 2019.5.281

=== debian/changelog ===
intel-mkl (2019.5.281-1) unstable; urgency=medium

  * New upstream release 2019.5.281 (Aug 2019)
  * Update the MD5SUM for orig.tar.gz.
  * Deprecate d/compat and B-D on debhelper-compat (= 11) instead.
  * Bump Standards-Version to 4.4.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 28 Sep 2019 06:23:06 +0000
