=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: non-free/science
 Homepage: https://software.intel.com/en-us/mkl
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/intel-mkl
 Vcs-Git: https://salsa.debian.org/science-team/intel-mkl.git
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <cdluminate@gmail.com>,
-Build-Depends: debhelper (>=11~),
+Build-Depends: debhelper-compat (= 11),
                dh-exec,
 # The script control.py requires python3 >= 3.6 .
 # but you can patch it with debian/bpo.patch to support python3 >= 3.5 .
