## intel-mkl 2020.0.166

=== debian/changelog ===
intel-mkl (2020.0.166-1) unstable; urgency=medium

  * New upstream release 2020.0.166 (Dec 2019)
  * Update my mail address in control and copyright.
  * Update checksums and rules for this new release.

 -- Mo Zhou <lumin@debian.org>  Mon, 17 Feb 2020 09:57:52 +0800
