=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/science-team/intel-mkl
 Vcs-Git: https://salsa.debian.org/science-team/intel-mkl.git
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Mo Zhou <cdluminate@gmail.com>,
+Uploaders: Mo Zhou <lumin@debian.org>,
 Build-Depends: debhelper-compat (= 11),
                dh-exec,
 # The script control.py requires python3 >= 3.6 .
