## intel-mkl 2020.1.217

=== debian/changelog ===
intel-mkl (2020.1.217-2) unstable; urgency=medium

  * Amend the installation path in control.py fixing i386 FTBFS.

 -- Mo Zhou <lumin@debian.org>  Tue, 14 Apr 2020 21:01:22 +0800

intel-mkl (2020.1.217-1) unstable; urgency=medium

  * New upstream release 2020.1.217 (26 Mar 2020)
  * Specify Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0 (no change).

 -- Mo Zhou <lumin@debian.org>  Mon, 13 Apr 2020 07:43:08 +0800
