=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: non-free/science
 Homepage: https://software.intel.com/en-us/mkl
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/intel-mkl
 Vcs-Git: https://salsa.debian.org/science-team/intel-mkl.git
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
@@ -17,6 +17,7 @@
                rpm2cpio,
                debconf,
                po-debconf,
+Rules-Requires-Root: no
 XS-Autobuild: yes
 
 # [ References ]
